Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 51 lines (45 sloc) 1.355 kB
03c6e82 @alexrj importing 0.10
authored
1 use strict;
2 use warnings;
3
4 use ExtUtils::MakeMaker 6.31;
5
6 my %WriteMakefileArgs = (
7 'ABSTRACT' => 'Integration with GD::SecurityImage for your Dancer apps',
8 'AUTHOR' => 'Alessandro Ranellucci <aar@cpan.org>',
9 'BUILD_REQUIRES' => {
10 'Dancer' => '1.200',
11 },
12 'CONFIGURE_REQUIRES' => {
13 'ExtUtils::MakeMaker' => '6.31'
14 },
15 'DISTNAME' => 'Dancer-Plugin-Captcha-SecurityImage',
16 'EXE_FILES' => [],
17 'LICENSE' => 'perl',
18 'NAME' => 'Dancer::Plugin::Captcha::SecurityImage',
19 'PREREQ_PM' => {
20 'Dancer' => '1.200',
21 'GD::SecurityImage' => 0,
22 },
23 'VERSION' => '0.10',
24 'test' => {
25 'TESTS' => 't/*.t'
26 },
27 'META_MERGE' => {
28 resources => {
29 repository => 'git://git@github.com:alexrj/Dancer-Plugin-Captcha-SecurityImage.git',
30 },
31 },
32 );
33
34 unless ( eval { ExtUtils::MakeMaker->VERSION(6.56) } ) {
35 my $br = delete $WriteMakefileArgs{BUILD_REQUIRES};
36 my $pp = $WriteMakefileArgs{PREREQ_PM};
37 for my $mod (keys %$br) {
38 if (exists $pp->{$mod}) {
39 $pp->{$mod} = $br->{$mod} if $br->{$mod} > $pp->{$mod};
40 }
41 else {
42 $pp->{$mod} = $br->{$mod};
43 }
44 }
45 }
46
47 delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
48 unless eval { ExtUtils::MakeMaker->VERSION(6.52) };
49
50 WriteMakefile(%WriteMakefileArgs);
Something went wrong with that request. Please try again.